Update the authenticated user's corporate enrollment
Optional. Corrects or completes an enrollment while it is a draft, for example after a submission fails with 422 naming missing fields. Updating never submits the enrollment, and it is refused once the enrollment is in review.
Authorization
ApiKeyAuth BearerAuth API key for integrator authentication
In: header
JWT token for user authentication
In: header
Header Parameters
API key for authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
import { PaytrieAPI, configure } from '@paytrie/sdk'configure({ headers: { 'x-api-key': process.env.PAYTRIE_API_KEY! } })const { data } = await PaytrieAPI.updateCurrentCorporation({}){ "success": true, "data": { "id": "31b7fac8-8c2b-4839-930f-74a05427f4ec", "status": "draft", "corporationUserId": null, "corporationName": "Acme Inc.", "corporationNumber": "123456789", "corporationEmail": "accounts@acme.com", "phone": "4161234567", "address": { "addressLine1": "123 King St W", "addressLine2": "Suite 200", "city": "Toronto", "province": "on", "postalCode": "m5h1a1", "country": "CA" }, "businessNature": "Software", "purpose": "payments", "sourceOfFunds": "business_revenue", "dateOfIncorporation": "2021-01-01", "msbRegistered": false, "isPep": false, "tpd": false, "directors": [], "hasBeneficialOwners": true, "beneficialOwners": [], "authorizedUser": { "firstName": "Jane", "lastName": "Doe", "occupation": "Director", "dateOfBirth": "1985-04-12", "address": { "addressLine1": "123 King St W", "addressLine2": "Suite 200", "city": "Toronto", "province": "on", "postalCode": "m5h1a1", "country": "CA" } }, "documentsSubmitted": false, "createdAt": "2026-08-06T00:00:00.000Z" }}{ "success": false, "errors": [ { "field": "string", "message": "string" } ]}{ "success": false, "errors": [ { "field": "string", "message": "string" } ]}{ "success": false, "errors": [ { "field": "string", "message": "string" } ]}{ "success": false, "errors": [ { "field": "string", "message": "string" } ]}{ "success": false, "errors": [ { "field": "string", "message": "string" } ]}